Package Details: fraidycat-git 1.0.7.r2.g76d1b26-1

Git Clone URL: https://aur.archlinux.org/fraidycat-git.git (read-only, click to copy)
Package Base: fraidycat-git
Description: Follow blogs, wikis, YouTube, Twitter, Reddit, Instagram and the like... from a distance.
Upstream URL: https://fraidyc.at
Keywords: News
Licenses: BlueOak-1.0.0
Conflicts: fraidycat
Provides: fraidycat
Submitter: dg10a
Maintainer: dg10a
Last Packager: dg10a
Votes: 2
Popularity: 0.97
First Submitted: 2019-12-28 21:10
Last Updated: 2019-12-30 20:14

Pinned Comments

dg10a commented on 2020-05-31 03:02

This is a VCS package. See this note before flagging this package as out-of-date: https://wiki.archlinux.org/index.php/Arch_User_Repository#Flagging_packages_out-of-date

Latest Comments

dg10a commented on 2020-05-31 03:02

This is a VCS package. See this note before flagging this package as out-of-date: https://wiki.archlinux.org/index.php/Arch_User_Repository#Flagging_packages_out-of-date

dg10a commented on 2019-12-30 20:14

Done, thanks.

yochananmarqos commented on 2019-12-30 20:06

You can remove the v from the pkgver like this:

git describe --long | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'

dg10a commented on 2019-12-30 19:36

Updated, thanks.

yochananmarqos commented on 2019-12-30 17:28

The npm install command should go in the build() function, not prepare(). Please use a temporary npm cache, see Node.js package guidelines.

Git tags are available, see VCS package guidelines.

This should be installed in /opt/ since it includes a bundled copy of Electron. See Electron package guidelines.

You should install the desktop file and icons.

You're missing the runtime dependencies. See my PKGBUILD.